%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  JuliaFormulae
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Translate R Regression Model Formulae to 'Julia' Syntax

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.1.0
Requires:         R-core >= 4.1.0
BuildArch:        noarch
BuildRequires:    R-CRAN-rrapply 
BuildRequires:    R-stats 
BuildRequires:    R-utils 
Requires:         R-CRAN-rrapply 
Requires:         R-stats 
Requires:         R-utils 

%description
Metaprogramming utilities for converting R regression model formulae to
equivalents in 'Julia' <doi:10.1137/141000671>, via modifications to the
abstract syntax tree. Supports translations in zero correlation random
effects syntax, protection of expressions to be evaluated as-is,
interaction terms, and more. Accepts strings or R formula objects and
returns modified R formula objects where possible (or a modified string,
if not a valid formula in R).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
